package com.usoftchina.bi.server.model.po;

public class DataConnectorList {
    private int dataId;
    private String dataName;
    private String note;
    private String type;
    private String dataTag;
    private BaseConfig dbConfig;
    private int connectorGroup;
    private int usedNumber;
    private String createBy;
    private int createId;
    private String createDate;
    private boolean demo;

    public boolean isDemo() {
        return demo;
    }

    public void setDemo(boolean demo) {
        this.demo = demo;
    }

    public int getCreateId() {
        return createId;
    }

    public void setCreateId(int createId) {
        this.createId = createId;
    }

    public int getConnectorGroup() {
        return connectorGroup;
    }

    public void setConnectorGroup(int connectorGroup) {
        this.connectorGroup = connectorGroup;
    }

    public int getDataId() {
        return dataId;
    }

    public void setDataId(int dataId) {
        this.dataId = dataId;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }


    public int getUsedNumber() {
        return usedNumber;
    }

    public void setUsedNumber(int usedNumber) {
        this.usedNumber = usedNumber;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDataTag() {
        return dataTag;
    }

    public void setDataTag(String dataTag) {
        this.dataTag = dataTag;
    }

    public BaseConfig getDbConfig() {
        return dbConfig;
    }

    public void setDbConfig(BaseConfig dbConfig) {
        this.dbConfig = dbConfig;
    }

    @Override
    public String toString() {
        return "DataConnectorList{" +
                "dataId=" + dataId +
                ", dataName='" + dataName + '\'' +
                ", note='" + note + '\'' +
                ", type='" + type + '\'' +
                ", dataTag='" + dataTag + '\'' +
                ", dbConfig='" + dbConfig + '\'' +
                ", usedNumber=" + usedNumber +
                ", createBy='" + createBy + '\'' +
                ", createDate='" + createDate + '\'' +
                '}';
    }
}
